Package wx :: Package lib :: Module mvctree

[frames | no frames]

## Module wx.lib.mvctree

    MVCTree is a control which handles hierarchical data. It is constructed
    in model-view-controller architecture, so the display of that data, and
    the content of the data can be changed greatly without affecting the other parts.

    MVCTree actually is even more configurable than MVC normally implies, because
    almost every aspect of it is pluggable:
        MVCTree - Overall controller, and the window that actually gets placed
        in the GUI.
            Painter - Paints the control. The 'view' part of MVC.
               NodePainter - Paints just the nodes
               LinePainter - Paints just the lines between the nodes
               TextConverter - Figures out what text to print for each node
            Editor - Edits the contents of a node, if the model is editable.
            LayoutEngine - Determines initial placement of nodes
            Transform - Adjusts positions of nodes for movement or special effects.
            TreeModel - Contains the data which the rest of the control acts
            on. The 'model' part of MVC.

    Author/Maintainer - Bryn Keller <xoltar@starship.python.net>

    NOTE: This module is *not* supported in any way.  Use it however you
          wish, but be warned that dealing with any consequences is
          entirly up to you.
          --Robin

Classes
`BasicTreeModel` | A very simple treemodel implementation, but flexible enough for many needs.
`Editor` |
`FileEditor` |
`FileWrapper` | Node class for FSTreeModel.
`FSTreeModel` | This treemodel models the filesystem starting from a given path.
`LateFSTreeModel` | This treemodel models the filesystem starting from a given path.
`LayoutEngine` | Interface for layout engines.
`LinePainter` | The linepainter interface.
`MVCTree` | The main mvc tree class.
`MVCTreeEvent` |
`MVCTreeNode` | Used internally by MVCTree to manage its data.
`MVCTreeNotifyEvent` |
`NodePainter` | This is the interface expected of a nodepainter.
`NullTransform` |
`Painter` | This is the interface that MVCTree expects from painters.
`Rect` |
`StrTextConverter` |
`TextConverter` | TextConverter interface.
`Transform` | Transform interface.
`TreeLayout` |
`TreeLinePainter` |
`TreeModel` | Interface for tree models
`TreeNodePainter` |
`TreePainter` | The default painter class.

Variable Summary
`PyEventBinder` | `EVT_MVCTREE_ADD_ITEM` = `<wx._core.PyEventBinder object at...`
`PyEventBinder` | `EVT_MVCTREE_DELETE_ITEM` = `<wx._core.PyEventBinder object...`
`PyEventBinder` | `EVT_MVCTREE_ITEM_COLLAPSED` = `<wx._core.PyEventBinder obj...`
`PyEventBinder` | `EVT_MVCTREE_ITEM_COLLAPSING` = `<wx._core.PyEventBinder ob...`
`PyEventBinder` | `EVT_MVCTREE_ITEM_EXPANDED` = `<wx._core.PyEventBinder obje...`
`PyEventBinder` | `EVT_MVCTREE_ITEM_EXPANDING` = `<wx._core.PyEventBinder obj...`
`PyEventBinder` | `EVT_MVCTREE_KEY_DOWN` = `<wx._core.PyEventBinder object at...`
`PyEventBinder` | `EVT_MVCTREE_SEL_CHANGED` = `<wx._core.PyEventBinder object...`
`PyEventBinder` | `EVT_MVCTREE_SEL_CHANGING` = `<wx._core.PyEventBinder objec...`
`str` | `warningmsg` = `'\\\n\n####################################...`
`int` | `wxEVT_MVCTREE_ITEM_COLLAPSED` = 10329
`int` | `wxEVT_MVCTREE_ITEM_COLLAPSING` = 10330
`int` | `wxEVT_MVCTREE_ITEM_EXPANDED` = 10327
`int` | `wxEVT_MVCTREE_ITEM_EXPANDING` = 10328
`int` | `wxEVT_MVCTREE_KEY_DOWN` = 10333
`int` | `wxEVT_MVCTREE_SEL_CHANGED` = 10331

Variable Details

### EVT_MVCTREE_ADD_ITEM

  Type:
    `PyEventBinder`
  Value:

        <wx._core.PyEventBinder object at 0xb48eb22c>

### EVT_MVCTREE_DELETE_ITEM

  Type:
    `PyEventBinder`
  Value:

        <wx._core.PyEventBinder object at 0xb48eb26c>

### EVT_MVCTREE_ITEM_COLLAPSED

  Type:
    `PyEventBinder`
  Value:

        <wx._core.PyEventBinder object at 0xb48eb1cc>

### EVT_MVCTREE_ITEM_COLLAPSING

  Type:
    `PyEventBinder`
  Value:

        <wx._core.PyEventBinder object at 0xb48eb1ec>

### EVT_MVCTREE_ITEM_EXPANDED

  Type:
    `PyEventBinder`
  Value:

        <wx._core.PyEventBinder object at 0xb48eb18c>

### EVT_MVCTREE_ITEM_EXPANDING

  Type:
    `PyEventBinder`
  Value:

        <wx._core.PyEventBinder object at 0xb48eb1ac>

### EVT_MVCTREE_KEY_DOWN

  Type:
    `PyEventBinder`
  Value:

        <wx._core.PyEventBinder object at 0xb48eb2ac>

### EVT_MVCTREE_SEL_CHANGED

  Type:
    `PyEventBinder`
  Value:

        <wx._core.PyEventBinder object at 0xb48eb12c>

### EVT_MVCTREE_SEL_CHANGING

  Type:
    `PyEventBinder`
  Value:

        <wx._core.PyEventBinder object at 0xb48eb16c>

### warningmsg

  Type:
    `str`
  Value:

        '''\\

        ################################################\\
        # This module is not supported in any way!      |
        #                                               |
        # See cource code for wx.lib.mvctree for more   |
        # information.                                  |
        ################################################/
        ...

### wxEVT_MVCTREE_ITEM_COLLAPSED

  Type:
    `int`
  Value:

        10329

### wxEVT_MVCTREE_ITEM_COLLAPSING

  Type:
    `int`
  Value:

        10330

### wxEVT_MVCTREE_ITEM_EXPANDED

  Type:
    `int`
  Value:

        10327

### wxEVT_MVCTREE_ITEM_EXPANDING

  Type:
    `int`
  Value:

        10328

### wxEVT_MVCTREE_KEY_DOWN

  Type:
    `int`
  Value:

        10333

### wxEVT_MVCTREE_SEL_CHANGED

  Type:
    `int`
  Value:

        10331

Generated by Epydoc 2.1.20050511.rpd on Thu Mar 22 12:07:18 2007 | http://epydoc.sf.net